Subject: bug#48419: Unexpected problem during install of Guix System 1.3.0

From: Matthias Cullmann <[email-masked]>
Date: Wed, 16 Jun 2021 21:01:44 +0200

Hello Mathieu,

thanks for you help.
I built the iso from commit 245cab2abc1fd74d1df489e500432c66c88f6b25 and 
confirm that the partitioning works now.
Only need to figure out how to get my wifi running and soon I'll be 
booting ;-)

Best regards,
Matthias

On 13.06.21 14:20, Mathieu Othacehe wrote:
> Hello Matthias,
>
>> I had Linux installed already on this computer and would not need to
>> re-partition.
>>
>> Any ideas how to fix this?
> Thanks for the report. This should be fixed with:
> 245cab2abc1fd74d1df489e500432c66c88f6b25. The issue was that the
> installer could not mount FAT16 partitions.
>
> Could you regenerate an installation image by running the following
> command:
>
> --8<---------------cut here---------------start------------->8---
> ./pre-inst-env guix system image -t uncompressed-iso9660 gnu/system/install.scm
> --8<---------------cut here---------------end--------------->8---
>
> and confirm that it fixes your issue?
>
> Thanks,
>
> Mathieu